## arraylist arraylist |

## Synopsis

    #define             Boolean
    #define             Object
    void                arraylist_free                      (const Arraylist list);
    Arraylist           arraylist_create                    (const Boolean (equalsconst Object object_1, const Object object_2) ());
    Boolean             arraylist_add                       (const Arraylist list,
                                                             Object object);
    Boolean             arraylist_remove                    (const Arraylist list,
                                                             const Object object);
    Boolean             arraylist_contains                  (const Arraylist list,
                                                             const Object object);
    int                 arraylist_index_of                  (const Arraylist list,
                                                             const Object object);
    Boolean             arraylist_is_empty                  (const Arraylist list);
    int                 arraylist_size                      (const Arraylist list);
    Object              arraylist_get                       (const Arraylist list,
                                                             const int index);
    void                arraylist_clear                     (const Arraylist list);
    void                arraylist_sort                      (const Arraylist list,
                                                             const int (compareconst Object object_1, const Object object_2) ());

## Description

## Details

### Boolean

    #define             Boolean

### Object

    #define             Object

### arraylist_free ()

    void                arraylist_free                      (const Arraylist list);

`list` : |

### arraylist_create ()

    Arraylist           arraylist_create                    (const Boolean (equalsconst Object object_1, const Object object_2) ());

`equals` : |
Returns : |

### arraylist_add ()

    Boolean             arraylist_add                       (const Arraylist list,
                                                             Object object);

`list` : |
`object` : |
Returns : |

### arraylist_remove ()

    Boolean             arraylist_remove                    (const Arraylist list,
                                                             const Object object);

`list` : |
`object` : |
Returns : |

### arraylist_contains ()

    Boolean             arraylist_contains                  (const Arraylist list,
                                                             const Object object);

`list` : |
`object` : |
Returns : |

### arraylist_index_of ()

    int                 arraylist_index_of                  (const Arraylist list,
                                                             const Object object);

`list` : |
`object` : |
Returns : |

### arraylist_is_empty ()

    Boolean             arraylist_is_empty                  (const Arraylist list);

`list` : |
Returns : |

### arraylist_size ()

    int                 arraylist_size                      (const Arraylist list);

`list` : |
Returns : |

### arraylist_get ()

    Object              arraylist_get                       (const Arraylist list,
                                                             const int index);

`list` : |
`index` : |
Returns : |

### arraylist_clear ()

    void                arraylist_clear                     (const Arraylist list);

`list` : |

### arraylist_sort ()

    void                arraylist_sort                      (const Arraylist list,
                                                             const int (compareconst Object object_1, const Object object_2) ());

`list` : |
`compare` : |